Bug 190806 - Automatic detection of sound card did not work.
Automatic detection of sound card did not work.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-05 07:32 EDT by bill thomas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 10:52:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sound card log (11.13 KB, text/plain)
2006-05-05 07:32 EDT, bill thomas
no flags Details

  None (edit)
Description bill thomas 2006-05-05 07:32:12 EDT
Description of problem:

The sound card appears to be detected but I can't hear anything !
It's "on-board".
Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 02)

Of course, the same sound card works fine under windows.

Version-Release number of selected component (if applicable):


How reproducible:

VERY, everytime

Steps to Reproduce:
1. try to play sound
2.
3.
  
Actual results:
No sound

Expected results:


Additional info:
Comment 1 bill thomas 2006-05-05 07:32:12 EDT
Created attachment 128653 [details]
sound card log
Comment 2 Martin Stransky 2006-05-09 05:24:30 EDT
Could you please check these on console/terminal? (as a common user)

$aplay -D hw:0 /usr/share/sounds/phone.wav

or

$aplay -D plughw:0 /usr/share/sounds/phone.wav
Comment 3 bill thomas 2006-05-09 07:24:54 EDT
terminal commands :
[user@dyn-9-173-233-61 ~]$ aplay -D hw:0 /usr/share/sounds/phone.wav
Playing WAVE '/usr/share/sounds/phone.wav' : Signed 16 bit Little Endian, Rate
44100 Hz, Stereo
Warning: rate is not accurate (requested = 44100Hz, got = 48000Hz)
         please, try the plug plugin (-Dplug:hw:0)
[user@dyn-9-173-233-61 ~]$ aplay -D plughw:0 /usr/share/sounds/phone.wav
Playing WAVE '/usr/share/sounds/phone.wav' : Signed 16 bit Little Endian, Rate
44100 Hz, Stereo
You have new mail in /var/spool/mail/user
[user@dyn-9-173-233-61 ~]$ aplay -Dplug:hw:0 /usr/share/sounds/phone.wav
Playing WAVE '/usr/share/sounds/phone.wav' : Signed 16 bit Little Endian, Rate
44100 Hz, Stereo
[user@dyn-9-173-233-61 ~]$


Sadly though, I didn't hear a thing !

However, in the volume control I have noticed that I have 2 devices :
REALTEK ALC202 rev 0 (OSS mixer)
INTEL 82801DB-ICH4 (Alsa mixer)

I've tried the commands under both devices (selected from Volume control)
without any luck.....
Comment 4 Martin Stransky 2006-05-15 11:00:23 EDT
Hm, it looks like a driver bug, you can check the new ones
(http://people.redhat.com/stransky/alsa) but better report this bug to ALSA
upstream (http://www.alsa-project.org)....

Note You need to log in before you can comment on or make changes to this bug.